Subject: [Last-Call] Genart last call review of draft-ietf-mmusic-msrp-usage-data-channel-21

From: Brian Carpenter via Datatracker <[email-masked]>
Date: Sun, 12 Jul 2020 15:40:23 -0700

Reviewer: Brian Carpenter
Review result: Ready with Nits

Gen-ART Last Call review of draft-ietf-mmusic-msrp-usage-data-channel-21

I am the assigned Gen-ART reviewer for this draft. The General Area
Review Team (Gen-ART) reviews all IETF documents being processed
by the IESG for the IETF Chair.  Please treat these comments just
like any other last call comments.

For more information, please see the FAQ at
<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.

Document: draft-ietf-mmusic-msrp-usage-data-channel-21
Reviewer: Brian Carpenter
Review Date: 2020-07-13
IETF LC End Date: 2020-07-21
IESG Telechat date:  

Summary: Ready with nits
--------

Nits:
-----

>> 4.1.  MSRP URI
...
>>     transport  /= "dc"

I see that RFC7977 takes a slightly different approach to updating the ABNF:

>>     transport  =  "tcp" / "ws" / 1*ALPHANUM

The advantage of listing out

  transport  =  "tcp" / "ws" / "dc" / 1*ALPHANUM

would be that the reader sees the full list.

>>                  ; Add "dc" to existing transports per [RFC4975]

I suggest

                 ; Add "dc" to existing transports per Section 9 of [RFC4975]

>>4.6.  Session Closing

>>   The SDP answerer must ensure that no dcmap or dcsa attributes are
>>   present in the SDP answer if no corresponding attributes are present
>>   in the received SDP offer.

Should that be MUST?

>> B2BUA

Define the acronym please.

>> 9.2.  Subprotocol Identifier MSRP
>>
>>   A reference to this document is added to the subprotocol identifier
>>   "msrp" in the "WebSocket Subprotocol Name Registry"

s/this document/RFCXXXX/

>> 11.  CHANGE LOG

Mark this section for deletion by the RFC Editor

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 13 Jul 2020 08:58:06 +0000

Hi Brian,

Thank You for the review! Please see inline.

Nits:
-----

>> ....

The MMUSIC WG has previously decided to take the approach of only writing the new value, using the "/=" format.

---

>>                 ; Add "dc" to existing transports per Section 9 of [RFC4975]

Will modify as suggested.

---

>>   in the received SDP offer.

The reason for "must" is that is referring to generic data channel SDP O/A procedures.

I suggest to remove the paragraph.

---

>> Define the acronym please.

We normally don't do that in MMUSIC specifications. Also, it is on the IETF list of well-known acronyms.

Having said that, I am fine to enhance it on first occurrence: 'Back-to-Back User Agent (B2BUA)'

---

>>   "msrp" in the "WebSocket Subprotocol Name Registry"

Will modify as suggested.

---

>> Mark this section for deletion by the RFC Editor

I think the RFC Editor will delete it by default, but we can add explicit text.

Regards,

Christer

---

From: Jose <[email-masked]>
Date: Mon, 13 Jul 2020 17:48:12 +0800

Hi, Christer,

Your experience really helps here, I would be a bit over my head on the 
topics related to mmusic ways.

I am assuming you will modify the draft and resubmit? Let me know if 
you'd rather me doing it.

JM

---

From: Paul Kyzivat <[email-masked]>
Date: Mon, 13 Jul 2020 10:58:01 -0400

Brian,

> would be that the reader sees the full list.

While it might be nice to see the full list, it can't be counted on to 
remain the full list. If each update did this, then every draft that 
updates the list should formally Update every other document that 
updates the list.

The *point* of /= in abnf is that it decouples the particular addition 
from all others.

This sort of thing should really have an IANA registry. But often the 
expectation is that changes aren't made often enough to justify that. 
Lacking that, IMO /= is the preferred way to go.

	Just kibitzing,
	Paul

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 14 Jul 2020 08:51:07 +1200

> The *point* of /= in abnf is that it decouples the particular addition 

Sure, I realise that. But...
 
> expectation is that changes aren't made often enough to justify that. 

Indeed, that occurred to me as an alternative approach but a registry
with 3 entries is a bit light (and also, readers starting at RFC4975
wouldn't know to look for the registry).

> Lacking that, IMO /= is the preferred way to go.

It was only a nit...

    Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 14 Jul 2020 08:51:55 +1200

Thanks Christer, that all looks good to me,

Regards
   Brian

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 14 Jul 2020 12:39:20 +0000

Hi,

I have created a new version (-22) of the draft, based on Brian's comment.

Murray, as the submission window is currently closed, are you able to manually submit the new version if I send you the files?

Regards,

Christer

-----Original Message-----
From: Brian E Carpenter <[email-masked]> 
Sent: maanantai 13. heinäkuuta 2020 23.52
To: Christer Holmberg <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [Gen-art] Genart last call review of draft-ietf-mmusic-msrp-usage-data-channel-21

Regards
   Brian

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Thu, 16 Jul 2020 08:51:26 -0700

If you email the files to [email-masked] and Cc: me, I'll approve
them and then the secretariat will put the update in the tracker.

-MSK

On Tue, Jul 14, 2020 at 5:39 AM Christer Holmberg <
[email-masked]> wrote:

> Murray, as the submission window is currently closed, are you able to
> manually submit the new version if I send you the files?
>
> Regards,
>
> Christer
>
>
>
> Subject: Re: [Gen-art] Genart last call review of
> draft-ietf-mmusic-msrp-usage-data-channel-21
>
> > The MMUSIC WG has previously decided to take the approach of only
> writing the new value, using the "/=" format.
> >
> > ---
> >

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 16 Jul 2020 16:18:25 +0000

Will do. Thanks!

Regards,

Christer

From: Murray S. Kucherawy <[email-masked]>
Sent: torstai 16. heinäkuuta 2020 18.51
To: Christer Holmberg <[email-masked]>
Cc: Brian E Carpenter <[email-masked]>; [email-masked]; [email-masked]; [email-masked]; [email-masked]
Subject: Re: [Gen-art] Genart last call review of draft-ietf-mmusic-msrp-usage-data-channel-21

If you email the files to [email-masked]<mailto:[email-masked]> and Cc: me, I'll approve them and then the secretariat will put the update in the tracker.
-MSK

On Tue, Jul 14, 2020 at 5:39 AM Christer Holmberg <[email-masked]<mailto:[email-masked]>> wrote:
Hi,

Regards,

Christer

-----Original Message-----
From: Brian E Carpenter <[email-masked]<mailto:[email-masked]>>
Sent: maanantai 13. heinäkuuta 2020 23.52
To: Christer Holmberg <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Gen-art] Genart last call review of draft-ietf-mmusic-msrp-usage-data-channel-21

Regards
   Brian